/* gtkmm example Copyright (C) 2002 gtkmm development team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include "menutoolaction.h"
#include <gtk/gtk.h>

Glib::RefPtr<MenuToolAction> MenuToolAction::create()
{
  return Glib::RefPtr<MenuToolAction>( new MenuToolAction() );
}

Glib::RefPtr<MenuToolAction> MenuToolAction::create(const Glib::ustring& name, const Glib::ustring& label, const Glib::ustring& tooltip)
{
  return Glib::RefPtr<MenuToolAction>( new MenuToolAction(name, Gtk::StockID(), label, tooltip) );
}

Glib::RefPtr<MenuToolAction> MenuToolAction::create(const Glib::ustring& name, const Gtk::StockID& stock_id, const Glib::ustring& label, const Glib::ustring& tooltip)
{
  return Glib::RefPtr<MenuToolAction>( new MenuToolAction(name, stock_id, label, tooltip) );
}

Glib::RefPtr<MenuToolAction> MenuToolAction::create_with_icon_name(const Glib::ustring& name, const Glib::ustring& icon_name, const Glib::ustring& label, const Glib::ustring& tooltip)
{
  return Glib::RefPtr<MenuToolAction>( new MenuToolAction(name, icon_name, label, tooltip) );
}

MenuToolAction::MenuToolAction()
: Gtk::Action()
{
}

MenuToolAction::MenuToolAction(const Glib::ustring& name, const Gtk::StockID& stock_id, const Glib::ustring& label, const Glib::ustring& tooltip)
: Gtk::Action(name, stock_id, label, tooltip)
{
}

MenuToolAction::MenuToolAction(const Glib::ustring& name, const Glib::ustring& icon_name, const Glib::ustring& label, const Glib::ustring& tooltip)
: Gtk::Action(name, icon_name, label, tooltip)
{
}

MenuToolAction::~MenuToolAction()
{
}

Gtk::Widget* MenuToolAction::create_tool_item_vfunc()
{
  return Glib::wrap((GtkWidget*)gtk_menu_tool_button_new(0, 0));
}

