/* gtkmm example Copyright (C) 2002 gtkmm development team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef GTKMM_MENUTOOLACTION_H
#define GTKMM_MENUTOOLACTION_H

#include <gtkmm.h>

class MenuToolAction : public Gtk::Action
{
public:
  // The same create methods as in Gtk::Action
  static Glib::RefPtr<MenuToolAction> create();
  static Glib::RefPtr<MenuToolAction> create(const Glib::ustring& name, const Glib::ustring& label = Glib::ustring(), const Glib::ustring& tooltip = Glib::ustring());
  static Glib::RefPtr<MenuToolAction> create(const Glib::ustring& name, const Gtk::StockID& stock_id, const Glib::ustring& label = Glib::ustring(), const Glib::ustring& tooltip = Glib::ustring());
  static Glib::RefPtr<MenuToolAction> create_with_icon_name(const Glib::ustring& name, const Glib::ustring& icon_name, const Glib::ustring& label, const Glib::ustring& tooltip);

  virtual ~MenuToolAction();

protected:
  // Some of the constructors as in Gtk::Action
  MenuToolAction();
  explicit MenuToolAction(const Glib::ustring& name, const Gtk::StockID& stock_id = Gtk::StockID(), const Glib::ustring& label = Glib::ustring(), const Glib::ustring& tooltip = Glib::ustring());
  explicit MenuToolAction(const Glib::ustring& name, const Glib::ustring& icon_name, const Glib::ustring& label = Glib::ustring(), const Glib::ustring& tooltip = Glib::ustring());

  // Overridden virtual functions
  virtual Gtk::Widget* create_tool_item_vfunc();
};

#endif //GTKMM_MENUTOOLACTION_H
